> For the complete documentation index, see [llms.txt](https://docs.luciq.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luciq.ai/react-native/setup-luciq-for-react-native/setup-bug-reporting/bug-reporting-callbacks.md).

# Bug Reporting Callbacks

### Before Invoking Luciq

This block is executed on the UI thread. You can use it to perform any UI changes before the SDK's UI is shown.

{% code title="JavaScript" %}

```javascript
BugReporting.onInvokeHandler(function () {
    // Perform any UI changes before the SDK's UI is shown.
});
```

{% endcode %}

### Before Sending a Report

This block is executed in the background before sending each report. You can use it to attach logs and extra data to reports.

{% code title="JavaScript" %}

```javascript
Luciq.onReportSubmitHandler((report) => {
    // Attach logs and extra data to reports.
});
```

{% endcode %}

### After Dismissing Luciq

This block is executed on the UI thread. You can use it to perform any UI changes after the SDK's UI has been dismissed.

{% code title="JavaScript" %}

```javascript
BugReporting.onSDKDismissedHandler(function (dismissType, reportType) {
    // Perform any UI changes after the SDK's UI has been dismissed.
});
```

{% endcode %}

<details>

<summary>onSDKDismissedHandler parameters</summary>

* `dismissType`: How the SDK was dismissed.
* `reportType`: The type of report that was sent. If the SDK was dismissed without selecting a report type, it will be set to `bug`, so you might need to check `issueState` before `reportType`.

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.luciq.ai/react-native/setup-luciq-for-react-native/setup-bug-reporting/bug-reporting-callbacks.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
